package com.ssj.service.sys.fx.service;

import com.ssj.bean.sys.fx.domain.DeviceParts;
import com.ssj.bean.sys.role.domain.Admin;
import com.ssj.framework.core.common.service.BaseService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.Map;

public interface DevicePartsService extends BaseService<DeviceParts, String> {


    Page<Map<String, Object>> findSaleCountList(Map<String, Object> params, Pageable initPage);

    Page<Map<String, Object>> salseMouthtList(Map<String, Object> params, Pageable initPage);

    Page<Map<String, Object>> salseMouthMoneytList(Map<String, Object> params, Pageable initPage);

    Page<Map<String, Object>> salsetList(Map<String, Object> params, Pageable initPage);
    
  	Page<DeviceParts> findDevicePartsByPage(Map<String, Object> params, Pageable sp);
  	
  	DeviceParts getDevicePartsByPartsId(String partsId,String posCode);
  
  	void matchDevicePartsByMerchant(String id,Integer matchNum,String posCode,
    		String emsNumber,String emsAddress,String emsUsername,String emsTelephone,Admin admin);
    
	void updateDevicePartsNum(String id,Integer type);
	
	void returnDevicePartsByMerchant(String id,Integer matchNum,
    		String emsNumber,String emsAddress,String emsUsername,String emsTelephone,Admin admin);
	
  	
  	
}
